跳转至

查询自定义币种流水

请求

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/customize-flow
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/customize-flow

参数

路径参数

字段类型描述
b_id
必填
Long业务线ID
wallet_code
必填
String钱包ID

查询参数

字段类型描述
tx_types
可选
String[]业务类型
contract_addresses
可选
String[]地址
chains
可选
String[]Cactus链名称
允许值:参考支持的代币中的 网络缩写 列
offset
可选
Integer默认为0
limit
可选
Integer默认为10
start_time
可选
Long起始时间戳 (默认为0)
end_time
可选
Long结束时间戳 (默认为当前时间)

响应

响应体

字段类型描述
codeInteger响应代码(0 = 成功)
messageString响应消息
successfulBoolean请求是否成功
dataObject详见下方 data 对象详情

data (对象)

字段类型描述
offsetInteger偏移量
limitInteger限制条数
totalInteger记录总数
listObject[]自定义币种交易列表(详见下方 list 对象详情)

list (对象)

字段类型描述
idInteger记录ID
bidString业务线ID
wallet_codeString钱包ID
wallet_nameString钱包名称
coin_nameString资产名称
full_nameString资产全称
chainString链名称
contract_addressString合约地址
order_noString订单ID
block_heightLong区块高度
block_hashString区块哈希
tx_idString交易哈希
tx_typeString业务类型
允许值: WITHDRAW, DEPOSIT
amountDecimal金额
amount_strString金额(字符串格式)
gas_priceDecimalGas价格(ETH系列)
gas_price_strStringGas价格(ETH系列)(字符串格式)
gas_limitDecimalGas限制(ETH系列)
gas_limit_strStringGas限制(ETH系列)(字符串格式)
tx_feeDecimal交易手续费
tx_fee_strString交易手续费(字符串格式)
positionLong位置
accountString系统账户地址
counterpartyString外部地址
tx_statusString交易状态
允许值: unconfirmed, confirmed
tx_time_stampLong交易时间戳
token_idString仅在交易涉及 NFT 时返回;否则返回 null。
nft_contract_nameStringNFT 合约名称。仅在交易涉及 NFT 时返回;否则返回 null。

响应示例

{
  "code": 0,
  "message": "",
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "id": 2348,
        "bid": "a3de9b7c703e4762974a1df7aafe724f",
        "order_no": "D996885000803",
        "chain": "ETH",
        "contract_address": "0x326c977e6efc84e512bb9c30f76e30c160ed06fb",
        "block_height": 10566734,
        "block_hash": "0xc030f12ca2c0d349f7abd248206a6c2f18e92cfce9ab39bfbc42fe1788ad606e",
        "tx_id": "0xb8d3224010a7bdb33b57e98f233041d7d44850753b846d6b74c7835dabd2a656",
        "position": 39,
        "tx_type": "WITHDRAW",
        "amount": 100000000000000000,
        "amount_str": "100000000000000000",
        "tx_status": "confirmed",
        "account": "0xcE514DB8670f4FE46caA1c4086625b5538D460D0",
        "counterparty": "0x7B476100344Ff29df272778dc417D8DEbb11d896",
        "gas_price": 140,
        "gas_price_str": "140",
        "gas_limit": 42065,
        "gas_limit_str": "42065",
        "tx_fee": 4857160,
        "tx_fee_str": "4857160",
        "wallet_code": "DeFiEVM8600875528",
        "wallet_name": "",
        "coin_name": "LINK",
        "full_name": "ChainLink Token",
        "token_id": "",
        "nft_contract_name": null,
        "tx_time_stamp": 1708416000000
      }
    ],
    "total": 1
  },
  "successful": true
}